Skip to main content
`Ctrl`+`K`

# MFNSetUp

Sets up all the internal data structures necessary for the execution of the matrix function solver.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetUp(MFN mfn)

Collective

## Input Parameter

- mfn - the matrix function solver context

## Notes

This function need not be called explicitly in most cases, since `MFNSolve()` calls it. It can be useful when one wants to measure the set-up time separately from the solve time.

## See Also

MFN: Matrix Function, `MFNCreate()`, `MFNSolve()`, `MFNDestroy()`

## Level

developer

## Location

src/mfn/interface/mfnsetup.c

## Implementations

MFNSetUp_Expokit() in src/mfn/impls/expokit/mfnexpokit.c
MFNSetUp_Krylov() in src/mfn/impls/krylov/mfnkrylov.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages